Subject: Unix Interactive Tools 4.2c released
From: [email-masked] (Tudor Hulubei)
Date: 27 Jun 1994 22:35:23 +0300
Newsgroups: comp.os.linux.announce

Unix Interactive Tools 4.2c
===========================

Topics:
=======
        Unix Interractive Tools 4.2c available at ulise.cs.pub.ro

  I've uploaded the new version of the package Unix Interactive Tools
at sunsite.unc.edu, tsx-11.mit.edu, ftp.funet.fi, garbo.uwasa.fi. and
pub.pub.ro but I  don't know when it will become available. Meanwhile
you can get it  from  ulise.cs.pub.ro  (/pub/public/linux/uit/).  The
file name is uit-4.2c.tar.gz .

The package includes a  file system browser, a process viewer/killer,
a hex viewer and an auto-mount script.

The package was originally written  for Linux, but i've ported it to
ULTRIX and HP-UX and works just fine. Under Linux, the standard ANSI
color sequences are used. The package name is uit-4.2c.tar.gz.

What is new:

	- UIT 4.2c was tested on HP-UX operating system.

	- UIT 4.2c implements a curses-like  algorithm  to  prevent  useless
	screen refreshes. *NOTHING* will be displayed on the screen if it is
	already there. This will speed up UIT when working on terminals.  To
	force a screen refresh you can use ^Wr ( <HardRefresh> ).

	- UIT 4.2c is able to select/unselect files using a pattern matching
	method. You can now select something like *.c, *.h or unselect *.o .
	This is done with ^Vs (select) / ^Vu (unselect).

	- the configuration files .uitrc.TERM  where enhanced. You  can  now
	start tar xf, tar cf, gzip, gunzip, uuencode, uudecode as foreground
	or background commands. This is done  with  ^Wx / ^Wbx,  ^Wt / ^Wbt,
	^Wc / ^Wbc, ^Wu / ^Wbu, etc. There is also possible to directly send
	by mail a file to someone as an ascii file (^Va) or as an  uuencoded
	binary file (^Vb).

	- bug fix: UIT 4.2c now correctly stops when it  is  started  as  a
	background job.

	- files can be  sorted  in  9  different  ways. The  most  important
	sorting   methods   are  "by name",  "by extension",  "by size"  and
	"by date".

	- a new script uitmount which allows you to mount any  block  device
	without	specifying the fs type. You may now insert the floppy in the
	drive and type  'uitmount fd0'  and the first floppy will be mounted
	in the directory /mnt/fd0. On Linux just press F11 or F12.
	You don't need to know the fs type anymore. The directories /mnt/fd0
	and /mnt/fd1 must exist. If you want to use uitmount with the  block
	device /dev/xxx then the directory /mnt/xxx must exist.

	- you can now install uit with 'make install'

	- a new feature was added to the  command line: pressing  Alt-h  you
	can delete the last command line word. The built-in command name  is
	<DeleteCmdLnWord>. I now that the command line is not very  flexible
	and I'll probably change it in the future.

	- <ChangeDir> can now use ~ as home directory specification.

	- <ChangeDir> can now be canceled with TAB.

	- UIT 4.2c is now able now to display up to 99G of free  file system
	space. Big enough, I suppose :-) .

	- UIT 4.2c now contains info format documentation.

	- UIT 4.2c has separate configuration files for each type of terminal.

Here it is the lsm entry:

Begin2
Title        = Unix Interactive Tools
Version      = 4.2c
Desc1        = UIT is a file system browser for UNIX operating systems.
Desc2        = It was tested under Linux, ULTRIX and HP-UX. An interactive
Desc3        = process viewer/killer, an hex/ascii file viewer and an
Desc4        = auto-mount shell script are also available.
Desc5        = Under Linux, the standard ANSI color sequences are used.
Desc6        = A manual page and info documentation are available.
Author       = Tudor Hulubei & Andrei Pitis
AuthorEmail  = [email-masked], [email-masked]
Maintainer   = Tudor Hulubei
MaintEmail   = [email-masked], [email-masked]
Site1        = pub.pub.ro
Path1        = /pub/UnixInteractiveTools
File1        = uit-4.2c.tar.gz
FileSize1    = 97059
Site2        = sunsite.unc.edu
Path2        = /pub/Linux/utils/file
File2        = uit-4.2c.tar.gz
FileSize2    = 97059
Site3        = tsx-11.mit.edu
Path3        = /pub/linux/sources/usr.bin
File3        = uit-4.2c.tar.gz
FileSize3    = 97059
Site4        = garbo.uwasa.fi
Path4        = /unix/uit
File4        = uit-4.2c.tar.gz
FileSize4    = 97059
Required1    = SLACKWARE Linux, ULTRIX or other UNIX system with
Required2    = ANSI/POSIX terminals. You will also need a C compiler
Required3    = and the lex/flex utility to compile the UIT stuff.
CopyPolicy1  = GNU GPL
Keywords     = uit, uitps, uitview, uitcmp, uitmount
Comment1     = UIT is a very stable program. It's easy to build, just
Comment2     = read the INSTALL file. You may fine tune UIT when running
Comment3     = on serial terminals to allow faster refresh. Just read
Comment4     = the man page/info documentation.
RelFiles1    = .uitrc.console, .uitrc.vt100, .uitrc.vt100, .uitrc.xterm
RelFiles2    = .uittermcap, uit, uitps, uitview, uitcmp, uitmount, uit.1,
RelFiles3    = uit.man, uit.info.1, uit.texi
Entered      = 27JUN94
EnteredBy    = Tudor Hulubei
CheckedEmail = [email-masked], [email-masked]
End

Enjoy !
Tudor Hulubei   [email-masked]
                [email-masked]

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.